Bug 970407 - Review Request: mingw-libtheora - Theora Video Compression Codec
Review Request: mingw-libtheora - Theora Video Compression Codec
Status: CLOSED DUPLICATE of bug 1122325
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 20:49 EDT by Steve
Modified: 2015-07-21 08:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-22 20:22:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-06-03 20:49:05 EDT
Spec URL: https://www.box.com/s/yecyhtri4l6dfikjxdin
SRPM URL: https://www.box.com/s/wjtv0putkw932c6hz6cz
Description: Theora is Xiph.Org's first publicly released video codec, intended for use within the Ogg's project's Ogg multimedia streaming system.  Theora is derived directly from On2's VP3 codec; Currently the two are  nearly identical, varying only in encapsulating decoder tables in the bitstream headers, but Theora will make use of this extra freedom  in the future to improve over what is possible with VP3.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh
Comment 1 Veaceslav Mindru 2013-07-30 03:58:41 EDT
Hello Steve,

Spec looks good, rpmlint dose not report E/W. just some small modifications needed. 

remove rm -rf $RPM_BUILD_ROOT it's not required any more in EPEL6

>%install
>rm -rf $RPM_BUILD_ROOT


same story here 

>%clean
>rm -rf $RPM_BUILD_ROOT


http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

The %clean section is not required for F-13 and above. Each package for F-12 and below (or EPEL 5) MUST have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Comment 2 Johan Swensson 2013-10-20 14:00:40 EDT
Build fails on rawhide.

You have some files you're not taking care of properly.

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/i686-w64-mingw32/sys-root/mingw/bin/libtheoraenc-1.dll
   /usr/i686-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
   /usr/x86_64-w64-mingw32/sys-root/mingw/bin/libtheoraenc-1.dll
   /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libtheoraenc.dll.a
Comment 3 Michael Schwendt 2013-10-21 11:04:22 EDT
Depends on bug 964437 comment 5.

> $ fedora-review -b 970407
> INFO: Processing bugzilla bug: 970407
> INFO: Getting .spec and .srpm Urls from : 970407
> ERROR: 'Cannot find source rpm URL'


To Steve:

Requesting fedorapeople.org web space would be a good idea in this case:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Upload_Your_Package
Comment 4 Michael Schwendt 2013-10-28 06:37:22 EDT
Also, I've had a look at whether there is a Fedora MinGW SIG, and there is one

  http://fedoraproject.org/wiki/MinGW

including an own mailing-list. There are a lot of pending review requests according to the query they have linked on that page, so there is a lot to do. I highly recommend getting in touch with them for any progress.
Comment 5 František Dvořák 2014-07-15 06:58:20 EDT
There were no response for more than one month. This ticket could be closed as stalled within one week as described in http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews .
Comment 6 František Dvořák 2014-07-22 20:22:28 EDT

*** This bug has been marked as a duplicate of bug 1122325 ***

Note You need to log in before you can comment on or make changes to this bug.